Package com.macrofocus.high_d.javafx

# Class JavaFXHighDFactory<Row,Column,Value>

java.lang.Object
com.macrofocus.high_d.HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>
com.macrofocus.high_d.javafx.JavaFXHighDFactory<Row,Column,Value>

public class JavaFXHighDFactory<Row,Column,Value> extends HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.HighDFactory

  `annotationDataFrame, axisHierarchy, dataFrame, filtersAxisHierarchy, settings, subsetDataFrame, visual`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXHighDFactory()`
  `JavaFXHighDFactory(HighDSettings<javafx.scene.paint.Color,javafx.scene.text.Font> settings)`
  `JavaFXHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)`
  `JavaFXHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)`
  `JavaFXHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BarChart<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createBarChart()`
  `<Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<javafx.scene.Node,javafx.scene.paint.Color>`
  `createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.MultiBinningDimension.MultiBinningStrategy<Row,Bin> binningStrategy)`
  `<Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<javafx.scene.Node,javafx.scene.paint.Color>`
  `createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.SingleBinningDimension.SingleBinningStrategy<Row,Bin> binningStrategy)`
  `com.macrofocus.high_d.filters.CategoricalFilterComponent<javafx.scene.Node,javafx.scene.paint.Color>`
  `createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Value> reducer)`
  `Clustering<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createClustering()`
  `ControlChart<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`
  `createControlChart()`
  Creates a control chart.
  `Details<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createDetails()`
  `Distributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,?>`
  `createDistributions()`
  Creates a distributions plot.
  `CPExecutor`
  `createExecutor()`
  Creates a multidimensional scaling plot.
  `com.macrofocus.high_d.filters.Filters<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value>`
  `createFilters()`
  `HeatMap<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createHeatMap()`
  `<Row, Column, Value>
  HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
  `createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)`
  `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
  `createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)`
  `ListView<javafx.scene.Node,Integer,String>`
  `createList(Column column)`
  `MDS<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`
  `createMDS()`
  Creates a MDS
  `MDSScatterPlotModel<javafx.scene.paint.Color,Row,Column>`
  `createMDSModel()`
  `com.macrofocus.high_d.filters.OrdinalFilterComponent<javafx.scene.Node,javafx.scene.paint.Color,Format>`
  `createOrdinalFilter(Column column, com.macrofocus.format.CPFormat format, int visibleLength)`
  `ParallelCoordinates<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createParallelCoordinates()`
  Creates a parallel coordinates plot.
  `ParallelCoordinatesMatrix<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createParallelCoordinatesMatrix()`
  Creates a parallel coordinates matrix plot.
  `ParallelCoordinatesModel<javafx.scene.paint.Color,Row,Column>`
  `createParallelCoordinatesModel()`
  `Regression<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createRegression()`
  `ScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`
  `createScatterPlot()`
  Creates a scatter plot.
  `ScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`
  `createScatterPlot(ScatterPlotModel<javafx.scene.paint.Color,Row,Column> model)`
  Creates a scatter plot.
  `ScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createScatterPlotMatrix()`
  Creates a scatter plot matrix.
  `SOM<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createSOM()`
  `Statistics<javafx.scene.Node,javafx.scene.paint.Color,Format,Row,Column,Value>`
  `createStatistics()`
  Creates a statistic table.
  `Table<javafx.scene.Node,javafx.scene.paint.Color,Format,Row,Column,Value>`
  `createTable()`
  Creates a table.
  `<Row, Column, Value>
  Table<javafx.scene.Node,javafx.scene.paint.Color,Format,Row,Column,Value>`
  `createTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual)`
  `TableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createTableLens()`
  Creates a tables lens.
  `<N extends com.treemap.AbstractTreeMapNode<N, Row, Column, javafx.scene.paint.Color, javafx.scene.text.Font>>
  com.treemap.TreeMap<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`
  `createTreeMap()`
  `<N extends com.treemap.AbstractTreeMapNode<N, Row, Column, javafx.scene.paint.Color, javafx.scene.text.Font>>
  HighDTreeMapModel<javafx.scene.paint.Color,javafx.scene.text.Font,N,Row,Column>`
  `createTreeMapModel()`

  ### Methods inherited from class com.macrofocus.high_d.HighDFactory

  `createBarChartModel, createClusteringModel, createControlCharttModel, createDistributionsModel, createHeatMapModel, createOrdinalFilter, createParallelCoordinatesMatrixModel, createScatterPlotMatrixModel, createScatterPlotModel, createSOMModel, createTableLensModel, customizeBarChart, customizeCategoricalFilterComponent, customizeControlChart, customizeDistribution, customizeFilters, customizeHeatMap, customizeMDS, customizeParallelCoordinates, customizeParallelCoordinatesMatrix, customizeScatterPlot, customizeScatterPlotMatrix, customizeSOM, customizeStatistics, customizeTable, customizeTableLens, forColumns, forColumns, getAllowScrolling, getAnnotationDataFrame, getAntialiasing, getAxisHierarchy, getColorMapFactory, getColorTheme, getCPFactory, getDataFrame, getFiltersAxisHierarchy, getGeometry, getInteractionMode, getRendering, getShowFiltered, getSubsetDataFrame, getVisual, setAnnotationDataFrame, setAxisHierarchy, setColorTheme, setDataFrame, setDataFrame, setDataFrame, setFiltersAxisHierarchy, setInteractionMode, setLicenseKey, setSettings, setSubsetDataFrame, setVisual`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXHighDFactory

    public JavaFXHighDFactory()

  - ### JavaFXHighDFactory

    public JavaFXHighDFactory(HighDSettings<javafx.scene.paint.Color,javafx.scene.text.Font> settings)

  - ### JavaFXHighDFactory

    public JavaFXHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)

  - ### JavaFXHighDFactory

    public JavaFXHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual)

  - ### JavaFXHighDFactory

    public JavaFXHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)

- ## Method Details

  - ### createHighDFactory

    public <Row, Column, Value> HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value> createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)
    Specified by:
      `createHighDFactory` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createHighDFactory

    public HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value> createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)
    Specified by:
      `createHighDFactory` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createParallelCoordinates

    public ParallelCoordinates<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createParallelCoordinates()
    Description copied from class: `HighDFactory`
    Creates a parallel coordinates plot.
    Specified by:
      `createParallelCoordinates` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a parallel coordinates plot

  - ### createParallelCoordinatesModel

    public ParallelCoordinatesModel<javafx.scene.paint.Color,Row,Column> createParallelCoordinatesModel()

  - ### createParallelCoordinatesMatrix

    public ParallelCoordinatesMatrix<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createParallelCoordinatesMatrix()
    Description copied from class: `HighDFactory`
    Creates a parallel coordinates matrix plot.
    Specified by:
      `createParallelCoordinatesMatrix` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a parallel coordinates matrix plot

  - ### createTableLens

    public TableLens<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createTableLens()
    Description copied from class: `HighDFactory`
    Creates a tables lens.
    Specified by:
      `createTableLens` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a tables lens

  - ### createScatterPlot

    public ScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column> createScatterPlot()
    Description copied from class: `HighDFactory`
    Creates a scatter plot.
    Specified by:
      `createScatterPlot` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a scatter plot

  - ### createScatterPlot

    public ScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column> createScatterPlot(ScatterPlotModel<javafx.scene.paint.Color,Row,Column> model)
    Description copied from class: `HighDFactory`
    Creates a scatter plot.
    Specified by:
      `createScatterPlot` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a scatter plot

  - ### createMDS

    public MDS<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column> createMDS()
    Description copied from class: `HighDFactory`
    Creates a MDS
    Specified by:
      `createMDS` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a MDS

  - ### createMDSModel

    public MDSScatterPlotModel<javafx.scene.paint.Color,Row,Column> createMDSModel()
    Specified by:
      `createMDSModel` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createExecutor

    public CPExecutor createExecutor()
    Description copied from class: `HighDFactory`
    Creates a multidimensional scaling plot.
    Specified by:
      `createExecutor` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a multidimensional scaling plot

  - ### createControlChart

    public ControlChart<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column> createControlChart()
    Description copied from class: `HighDFactory`
    Creates a control chart.
    Specified by:
      `createControlChart` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a control chart

  - ### createScatterPlotMatrix

    public ScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createScatterPlotMatrix()
    Description copied from class: `HighDFactory`
    Creates a scatter plot matrix.
    Specified by:
      `createScatterPlotMatrix` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a scatter plot matrix

  - ### createDistributions

    public Distributions<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,?> createDistributions()
    Description copied from class: `HighDFactory`
    Creates a distributions plot.
    Specified by:
      `createDistributions` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a distributions plot

  - ### createStatistics

    public Statistics<javafx.scene.Node,javafx.scene.paint.Color,Format,Row,Column,Value> createStatistics()
    Description copied from class: `HighDFactory`
    Creates a statistic table.
    Specified by:
      `createStatistics` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a statistic table

  - ### createTreeMap

    public <N extends com.treemap.AbstractTreeMapNode<N, Row, Column, javafx.scene.paint.Color, javafx.scene.text.Font>> com.treemap.TreeMap<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font> createTreeMap()

  - ### createTreeMapModel

    public <N extends com.treemap.AbstractTreeMapNode<N, Row, Column, javafx.scene.paint.Color, javafx.scene.text.Font>> HighDTreeMapModel<javafx.scene.paint.Color,javafx.scene.text.Font,N,Row,Column> createTreeMapModel()

  - ### createTable

    public Table<javafx.scene.Node,javafx.scene.paint.Color,Format,Row,Column,Value> createTable()
    Description copied from class: `HighDFactory`
    Creates a table.
    Specified by:
      `createTable` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`
    Returns:
      a table

  - ### createTable

    public <Row, Column, Value> Table<javafx.scene.Node,javafx.scene.paint.Color,Format,Row,Column,Value> createTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<javafx.scene.paint.Color,Row,Column> visual)
    Specified by:
      `createTable` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createList

    public ListView<javafx.scene.Node,Integer,String> createList(Column column)
    Specified by:
      `createList` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createFilters

    public com.macrofocus.high_d.filters.Filters<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value> createFilters()
    Specified by:
      `createFilters` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createCategoricalFilter

    public com.macrofocus.high_d.filters.CategoricalFilterComponent<javafx.scene.Node,javafx.scene.paint.Color> createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Value> reducer)
    Specified by:
      `createCategoricalFilter` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createCategoricalFilter

    public <Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<javafx.scene.Node,javafx.scene.paint.Color> createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.SingleBinningDimension.SingleBinningStrategy<Row,Bin> binningStrategy)
    Specified by:
      `createCategoricalFilter` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createCategoricalFilter

    public <Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<javafx.scene.Node,javafx.scene.paint.Color> createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.MultiBinningDimension.MultiBinningStrategy<Row,Bin> binningStrategy)
    Specified by:
      `createCategoricalFilter` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createOrdinalFilter

    public com.macrofocus.high_d.filters.OrdinalFilterComponent<javafx.scene.Node,javafx.scene.paint.Color,Format> createOrdinalFilter(Column column, com.macrofocus.format.CPFormat format, int visibleLength)
    Specified by:
      `createOrdinalFilter` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createSOM

    public SOM<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createSOM()
    Specified by:
      `createSOM` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createBarChart

    public BarChart<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createBarChart()
    Specified by:
      `createBarChart` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createHeatMap

    public HeatMap<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createHeatMap()
    Specified by:
      `createHeatMap` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createDetails

    public Details<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createDetails()
    Specified by:
      `createDetails` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createClustering

    public Clustering<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createClustering()
    Specified by:
      `createClustering` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`

  - ### createRegression

    public Regression<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createRegression()
    Specified by:
      `createRegression` in class `HighDFactory<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Format,Row,Column,Value>`